# Create an instance

To create a cozy instance on alpha, you need to connect to SSH to alpha.

## 1. Create the instance on alpha

```bash
cd easy-cozy/
./create-instance.sh jean
```

The [`create-instance.sh`](https://forge.grandlyon.com/pocs/cozy/easy-cozy/-/blob/master/create-instance.sh?ref_type=heads) script will create a new instance and install ecolyo and related konnectors on it.

:::danger Copy the configuration link

You need to copy the configuration link to the instance. We will use it later to set the password of the instance.

> Open this url on a browser to configure your instance https://jean.cozy.self-data.alpha.grandlyon.com?registerToken=AZERTY

:::

## 2. Add the instance subdomains to atrium

- Go to https://atrium.self-data.alpha.grandlyon.com/ and connect with credentials provided by the team.  
- Edit the "Cozy" app
  
You need to add the subdomains that will allow you to access apps of the created instance.

To generate the subdomains :

```bash
cd /opt/atrium
./generate-subdomains.sh
# jean,ecolyo.jean,home.jean,settings.jean
```

Add the result of this command to the existing list of subdomains and save.

:::note Wait for reboot
Saving will reboot atrium. This usually takes a minute.
:::

## 3. Configure your instance

Once Atrium is has rebooted, you can access the link you copied in step 1. and define your password.
