# Monitoring

All logs printed by the Proxy are read and translated into statistics on a grafana dashboard.

:::info Grafana
[scaleway monitoring](https://grafana.self-data.alpha.grandlyon.com/)

[production address](https://oauth-logs.cozycloud.cc/d/xSRhz8fMk/cozy-oauth-proxy?orgId=1&refresh=5s)
:::

This monitoring system allow the team to parse more easily the cozy-stack logs when something goes wrong. For instance, test konnector or check from the proxy if an issue was coming from Enedis or Grdf.

Learn more about how it works [here](https://forge.grandlyon.com/web-et-numerique/factory/llle_project/logs-monitoring).

:::warning High volume
The service parses a very high amount of logs, most of all when debugging an instance. To limit our disk usage we tend to stop the service when not needed.
Just type docker-compose down to stop it in monitoring/logs-monitoring. The docker volume will be persisted.
:::

To easily plug loki on a specific instance:

- Click on configuration and data sources
- Add data sources
- Find Loki and type the loki url http://loki:3100
- In the query builder select the container "easy-cozy" then add |= "domain=[specific-instance]"
