# Launch local application

## Initialisation of the project

### Clone the project repository

Use the following command in your favorite terminal to clone the project:

```sh
git clone https://forge.grandlyon.com/web-et-numerique/factory/monparcourssocial/mps-usager
```

## Installation of the project

### Start Pilote Usager application

Before starting Pilote Usager application, you need to install dependencies:

```sh
yarn
```

To start Pilote Usager application, you first need start the application and start a cozy stack:

```sh
yarn start

docker-compose up
```

As the pilote application has been recently upgraded to NodeJS 16 version, you might need to install additional packages in order to be able to run the app. Make sure your have the following installed : 

- Python3
- Microsoft Visual Studio tools 2017
- node-gyp

And wait for the success message.
> Everything is setup. Go to [http://pilote.cozy.tools:8080/](http://pilote.cozy.tools:8080/)

Once successful you can launch your local cozy with following url [Cozy local url](http://cozy.tools:8080/) and connect with the password '**cozy**'.

### Start Pilote TS application

To start a social worker instance, go to [**options page**](http://pilote.cozy.tools:8080/#/settings) and click '**Get sharecode**'.

Open the console and you'll see a link redirecting to a TS instance.
